<div class="wrap" id="pg-cpa-settings">
    <h2>Settings</h2>
    <form enctype="multipart/form-data" method='post' action="options.php">
        <?php 
            $field = $cpa->option_names['settings'];
            $values = $cpa->options['settings'];
            settings_fields($field); 
        ?>
        <table class="form-table">
            <tr valign="top">
                <th scope="row"><b>Link URL:</b></th>
                <td><input type='text' name='<?php echo $field; ?>[linkurl]' value='<?php echo $values['linkurl']; ?>'></td>
            </tr>
            <tr valign="top">
                <th scope="row"><b>New Window</b></th>
                <input type='hidden' name='<?php echo $field; ?>[new_window]' value='0'>
                <td><input type='checkbox' name='<?php echo $field; ?>[new_window]' value='1' <?php echo intval($values['new_window']) == 1 ? ' checked="checked" ' : ''; ?></td>
            </tr>
            <tr valign="top">
                <th scope="row"><b>Use Template</b></th>
                <td>
                    <input type="hidden" name="<?php echo $field; ?>[use_template]" value="0" /> 
                    <label>
                        <input id="use_template" type="checkbox" name="<?php echo $field; ?>[use_template]" value="1" <?php echo intval($values['use_template']) == 1 ? 'checked="checked" ' : ''; ?>/> 
                        <i>Use a predefined template.</i>
                    </label>
                </td>     
            </tr>
            <tr valign="top" class="use_template use_template_checked">
                <th scope="row"><b>Template</b></th>
                <td>
                    <select name="<?php echo $field; ?>[template]">
                        <?php foreach ($templates as $template) : ?>
                            <option value="<?php echo $template; ?>"<?php echo ($template == $values["template"]) ? 'selected="selected" ' : ""; ?>>
                                <?php echo ucwords($template); ?>
                            </option>
                        <?php endforeach; ?>
                    </select>
                </td>
            </tr>
            
            <tr valign="top">
                <th scope="row"><b>Before Image:</b></th>
                <td><input name='before' type='file' /> (.jpg, 98x87)</td>
            </tr>
            <tr valign="top">
                <th scope="row"><b>After Image:</b></th>
                <td><input name='after' type='file' /> <i>(.jpg, 500x500)</i></td>
            </tr>
            
        </table>
        <p class="submit">
            <input type="submit" class="button-primary" value="<?php _e('Update') ?>" />
        </p>
    </form>     
    <table class="form-table">
        <tr valign="top">
            <th scope="row"><b>Small Image:</b></th>
            <td><img src='<?php echo PA_PLUGIN_URL; ?>/image/before.jpg?<?php echo time(); ?>'></td>
        </tr>
        <tr valign="top">
            <th scope="row"><b>Large Image:</b></th>
            <td><img src='<?php echo PA_PLUGIN_URL; ?>/image/after.jpg?<?php echo time(); ?>'></td>
        </tr>
    </table>
</div> 