jQuery(document).ready(function($){                    
    pg_cpa.r = parseFloat(pg_cpa.r);
    pg_cpa.ot = parseInt(pg_cpa.ot);
    pg_cpa.ct = parseInt(pg_cpa.ct); 
    pg_cpa.bw = parseInt(pg_cpa.bw); 
    pg_cpa.bh = parseInt(pg_cpa.bh);   
    pg_cpa.aw = parseInt(pg_cpa.aw); 
    pg_cpa.ah = parseInt(pg_cpa.ah);   
                                                                      
    var main = $('<div></div>').attr('id','pg-cpa').appendTo('body');
    var link = $('<a></a>').attr('href',pg_cpa.l).appendTo(main);
    var img = $('<img />').attr('src',pg_cpa.u+'/image/peel.png').appendTo(link);
    var after = $('<div></div>').attr('id','pg-cpa-after').appendTo('body');
    var before = $('<div></div>').attr('id','pg-cpa-before').appendTo('body');

    link.bind('click', function(){$.post(pg_cpa.au,{action:'pg_pa_counter',s:'click'});});
    $.post(pg_cpa.au,{action:'pg_pa_counter',s:'view'});
    
    main.hover(function(){
        before.stop().hide();
        main.stop().animate({width:pg_cpa.aw*pg_cpa.r,height:pg_cpa.ah*pg_cpa.r},pg_cpa.ot);
        after.stop().animate({width:pg_cpa.aw,height:pg_cpa.ah},pg_cpa.ot);
    },function(){
        main.stop().animate({width:pg_cpa.bw*pg_cpa.r,height:pg_cpa.bh*pg_cpa.r},pg_cpa.ct);
        after.stop().animate({width:pg_cpa.bw,height:pg_cpa.bh},pg_cpa.ct,function(){
            before.show().width(pg_cpa.bw).height(pg_cpa.bh);
        });
    });
    
    var cpaAnimate = function(nt) {
        var n = 79+Math.floor(Math.random()*3), t = 1500;        
        if (nt) t = nt;   
        var w = after.width();
        if (w > 75) n = 75;
        var nw = Math.floor(n*pg_cpa.r);
        var nh = Math.floor(n*pg_cpa.r);
        main.stop().animate({width:nw,height:nh},t,'swing');
        after.stop().animate({width:n,height:n},t,'swing',cpaAnimate);
        before.stop().animate({width:n,height:n},t,'swing');
    }
    
    cpaAnimate(2500);                    
});